Skip to content
Call 1-800-HEADSETS (1-800-432-3738) Mon-Fri 9:00-7:30 EST • Free 2-Day Shipping & Free Returns Always!

Plantronics compatible softphones

Softphones compatible with Plantronics headsets

Note: You can find all this information in the following link. https://www.poly.com/us/en/support/supported-softphones

Manufacturer

Softphone

Version #

Plantronics Hub required

for remote answering?

8x8

Virtual Office Desktop

v3.8 or higher

No

Alcatel-Lucent Enterprise

OpenTouch Connection

v2.0 and v2.1

Yes

Alcatel-Lucent Enterprise

Rainbow Desktop clients

v1.35.5 and up

No

Alcatel-Lucent Enterprise

IP Desktop Softphone

v11.0.60 and up

Yes

Alcatel-Lucent Enterprise

My Instant Communicator

v6.5 and up

Yes

Alcatel-Lucent Enterprise

OpenTouch Conversation

v2.2 and up

Yes

Alcatel-Lucent Enterprise

Pimphony

6.3 an dup

Yes

Altigen

MaxCS

v8.5

Yes

Amazon

Connect

Yes

Amazon

Chime

No

Avaya

One-X Communicator (MAC)

v2.0.2.3

Yes

Avaya

Communicator

v.2.1.4.84

Yes

Avaya

Communicator for MS Lync

v6.4.0.9

Yes

Avaya

Desktop Aura Agent

v7.0

Yes

Avaya

Equinox

(PC)v3.5.5.113.24

(mac)v3.5.5.112.18

Yes

Avaya

One-X Agent

v2.5.12.0

Yes

Avaya

One-x Attendant

v4.0 SP6

No

Avaya

One-X Communicator (PC)

R6.2 SP13 (6.2.13.2)

Yes

Avaya

One-X Workplace

3.7.4.22.1

Yes

BroadSoft

UC One Communicator

v22.3.1.193

Yes

Caseris

Caesar

No

Cisco

IP Communicator (CIPC)

v8.6.6 and up

No

Cisco

Jabber

12.5

Yes

Cisco

Unified Personal Communicator

v8.6.4

Yes

Cisco

WebEx Meeting

No

Counterpath

Bria

v4.5

Yes

Dialpad

Native Apps

v0.25.1 and up or

v14.7.4 and up

Yes

Esna

iLink for Cisco Jabber

v10.1.15.1429 and up

No

Estos

ProCall

No

Five9

Virtual Contact Center

v8.5

No

Fuze

Desktop

v4.8.0 and up

No

Genesys

Workspace Desktop Edition

v8.5.126.07

Yes

Genesys

Workspace Web Edition

v8.5.401.05

Yes

Genesys

PureCloud

PC: Chrome/Firefox

mac: Same, or Safari

Yes

GlobalIPTEL

Juggler

No

Huawei

eSpace

No

Joher

Voice Operator Panel

v2.28

No

MetaSwitch

Accession Communicator

v2.28

No

Microsoft

Lync 2015

v15.0.5127.1000

Yes

Microsoft

Office Communicator

R2 3.5 (3.5.6907.2168)

Yes

Microsoft

Skype for Buysiness 2016

v16.4834.1000

Yes

Microsoft

Teams

Yes

Mitel

BlueStar for PC

v3.0.1876.0

Yes

Mitel

Connect 2017

Yes

Mitel

MiCloud Telepo for Desktop

v4.5 and up

No

Mitel

MiCollab Desktop Client

v8.1 and up

Yes

Mitel

MiCollab Web Client for

Chrome/Firefox

v8.1 and up

Yes

Mitel

MiVoice 2380

v3.5.4.0

Yes

Mitel

MiVoice Business Console

v8.0

No

NEC

Univerge 3C

v8.7.1

Yes

NEC

Univerge SP350

v6.11.0.0 and

v6.10.0.0

Yes

Nfon

Softphone

No

RingCentral

Office

v9.4 and up

Yes

SAP

Contact Center (formerly BCM)

v7

No

Shoretel

Communicator

v14.2

Yes

STARFACE

Client

v6.4.3 and up

Yes

Swyx

SwyxIt!

v10.40.2694 and

v11.10.1.0

Yes

Telavox

Desktop

No

Telepo

BCS

No

Unify

Circuit Desktop Client

v1.1.8505 and up

Yes

Unify

Circuit Web Client for

Chrome/Firefox

v1.18505 and up

Yes

Unify

OpenScape Desktop Client

Personal Edition

v7 R1.47.23 and up

Yes

Unify

OpenScape Fusion for Office

v1 R6.46.36

Yes

Wilidix

WMS

v3.80.31106.05

No

Zoiper

Zoiper

3.80.3110

No

Zoom

Meetings

v4.4.6 and up

Yes

Hi, I'm Kyle!

I manage this blog. Feedback, comments, complements, criticisms, or any other questions? I'll take them all!

Kyle Newgent
Headset Blogger